const xml2js = require("xml2js"),
      Url = require("url"),
      http = require("http");
      
class UPnPdescription {
  constructor(url){
    
    this.url = url;
    var context = this;
    
    this.getXMLDescription=function() {
      return new Promise(function(resolve,reject) {
        var options = Url.parse(context.url);
        var request = http.get(options,(res)=>{
          var xml="";
          res.on('data',(chunk) => {
            xml+=chunk;
          });
          res.on('end',() => {
            resolve(xml); 
          });
          }).on('error',(error)=> {
              reject(error);
        });
      });
    } 
  
    this.getJSONDescription=function(xml) {
      return new Promise(function(resolve){
        xml2js.parseString(xml,{explicitArray:false,explicitRoot:false},function(error,json){
          resolve(json);
        });   
      });
    }
    
    
  }
 
}
module.exports=UPnPdescription;