const UPnPdescription = require("./upnp_da11_description.js");
class UPnPdeviceDescription extends UPnPdescription {
  constructor(url){
    super(url);
   
    this.getDevice=function(json) {
      return new Promise(function(resolve,reject){
        var device={};
        device.xmlns =json['$'].xmlns;
        device.specVersion=json.specVersion;
        device.deviceType=json.device.deviceType;
        device.friendlyName=json.device.friendlyName;
        device.manufacturer=json.device.manufacturer;
        device.manufacturerURL=json.device.manufacturerURL;
        device.modelDescription=json.device.modelDescription;
        device.modelName=json.device.modelName;
        device.modelNumber=json.device.modelNumber;
        device.modelURL=json.device.modelURL;
        device.serialNumber=json.device.serialNumber;
        device.UDN=json.device.UDN;
        device.UPC=json.device.UPC;
        device.iconList=json.device.iconList;
        device.serviceList=json.device.serviceList;
        device.deviceList=json.deviceList;
        device.presentationURL=json.device.presentationURL;
        resolve(device);
      })
    }
    
  }
}
module.exports=UPnPdeviceDescription;